package Echiquier;

import Echiquier.Piece.Piece;

public class Case{
    //le numéro de ligne
    private int lig;
    //le numéro de colonne
    private int col;
    //le piece dans le case
    private Piece piece;

    public Case(int lig, int col) throws EchiquierException {
        if(lig < 0 || col < 0)
            throw new EchiquierException("La colonne et ligne ne peuvent pas être inférieur à 0");
        this.lig = lig;
        this.col = col;
    }

    public boolean estEuPiece(){
        if(piece == null)
            return false;
        return true;
    }

    public Piece getPiece() {
        return piece;
    }

    public void setPiece(Piece piece) {
        this.piece = piece;
    }

    public int getCol() {
        return col;
    }

    public int getLig() {
        return lig;
    }

    public String toString(){
        return "(" + lig + "," + col + ")";
    }
}
